Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.axis2.scheduling
Class ReportScheduler

    java.lang.Object
      org.springframework.remoting.jaxrpc.ServletEndpointSupport
          com.jaspersoft.jasperserver.ws.axis2.scheduling.ReportScheduler

All Implemented Interfaces:
  javax.xml.rpc.server.ServiceLifecycle

    public class ReportScheduler

extends org.springframework.remoting.jaxrpc.ServletEndpointSupport

Version:
  $Id: ReportScheduler.java 9882 2007-09-03 11:53:45Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `SERVICE_ACCESSOR_BEAN_NAME`

Fields inherited from class org.springframework.remoting.jaxrpc.ServletEndpointSupport
`logger`

Constructor Summary
`ReportScheduler()`

Method Summary
`void` | `deleteJob(long id)`
`void` | `deleteJobs(long[] ids)`
`JobSummary[]` | `getAllJobs()`
`Job` | `getJob(long id)`
`JobSummary[]` | `getReportJobs(java.lang.String reportURI)`
`protected ReportSchedulerService` | `getService()`
`Job` | `scheduleJob(Job job)`
`Job` | `updateJob(Job job)`

Methods inherited from class org.springframework.remoting.jaxrpc.ServletEndpointSupport
`destroy, getApplicationContext, getMessageSourceAccessor, getServletContext, getServletEndpointContext, getTempDir, getWebApplicationContext, init, onInit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_ACCESSOR_BEAN_NAME

    public static final java.lang.String SERVICE_ACCESSOR_BEAN_NAME

See Also:
  Constant Field Values

Constructor Detail

### ReportScheduler

    public ReportScheduler()

Method Detail

### getJob

    public Job getJob(long id)
               throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### scheduleJob

    public Job scheduleJob(Job job)
                    throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### updateJob

    public Job updateJob(Job job)
                  throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### deleteJob

    public void deleteJob(long id)
                   throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### deleteJobs

    public void deleteJobs(long[] ids)
                    throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### getAllJobs

    public JobSummary[] getAllJobs()
                            throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### getReportJobs

    public JobSummary[] getReportJobs(java.lang.String reportURI)
                               throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### getService

    protected ReportSchedulerService getService()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.